{
  "name": "frontend",
  "version": "0.0.1",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "serve": "vite",
    "build-staging": "vite build --mode staging",
    "build": "vite build",
    "preview": "vite preview",
    "type-check": "vue-tsc --build --force",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
    "@vueuse/core": "^10.4.1",
    "axios": "^1.7.3",
    "crypto-js": "^4.2.0",
    "dayjs": "^1.11.9",
    "driver.js": "^1.3.0",
    "echarts": "^5.4.3",
    "echarts-liquidfill": "^3.1.0",
    "element-plus": "^2.7.8",
    "md5": "^2.3.0",
    "mitt": "^3.0.1",
    "mkdirp": "^3.0.1",
    "nprogress": "^0.2.0",
    "pinia": "^2.2.1",
    "pinia-plugin-persistedstate": "^3.2.1",
    "print-js": "^1.6.0",
    "qs": "^6.11.2",
    "screenfull": "^6.0.2",
    "semver": "^7.3.5",
    "sortablejs": "^1.15.0",
    "vue": "^3.4.29",
    "vue-i18n": "^9.4.0",
    "vue-router": "^4.4.5",
    "vuedraggable": "^4.1.0"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.8.0",
    "@tsconfig/node20": "^20.1.4",
    "@types/md5": "^2.3.2",
    "@types/node": "^20.14.14",
    "@types/nprogress": "^0.2.0",
    "@types/qs": "^6.9.8",
    "@types/sortablejs": "^1.15.2",
    "@typescript-eslint/eslint-plugin": "^6.7.0",
    "@typescript-eslint/parser": "^6.7.0",
    "@vitejs/plugin-vue": "^5.0.5",
    "@vitejs/plugin-vue-jsx": "^3.1.0",
    "@vue/eslint-config-typescript": "^13.0.0",
    "@vue/tsconfig": "^0.5.1",
    "autoprefixer": "^10.4.20",
    "eslint": "^8.57.0",
    "eslint-config-prettier": "^9.0.0",
    "eslint-plugin-prettier": "^5.0.0",
    "eslint-plugin-vue": "^9.23.0",
    "npm-run-all2": "^6.2.0",
    "prettier": "^3.0.3",
    "rollup-plugin-visualizer": "^5.9.2",
    "sass": "^1.77.8",
    "standard-version": "^9.5.0",
    "tailwindcss": "^3.4.7",
    "typescript": "~5.4.0",
    "unplugin-auto-import": "^0.18.3",
    "unplugin-vue-components": "^0.27.4",
    "unplugin-vue-setup-extend-plus": "^1.0.0",
    "vite": "^5.3.1",
    "vite-plugin-compression": "^0.5.1",
    "vite-plugin-eslint": "^1.8.1",
    "vite-plugin-html": "^3.2.0",
    "vite-plugin-node-polyfills": "^0.22.0",
    "vite-plugin-pwa": "^0.16.5",
    "vite-plugin-svg-icons": "^2.0.1",
    "vue-tsc": "^2.0.21"
  }
}
